- Main Page
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# OGRCoordinateTransformation Class Reference

`#include <ogr_spatialref.h>`

List of all members.

## Public Member Functions
virtual OGRSpatialReference * | GetSourceCS ()=0
virtual OGRSpatialReference * | GetTargetCS ()=0
virtual int | Transform (int nCount, double *x, double *y, double *z=NULL)=0
virtual int | TransformEx (int nCount, double *x, double *y, double *z=NULL, int *pabSuccess=NULL)=0

## Detailed Description

Object for transforming between coordinate systems.

Also, see OGRCreateSpatialReference() for creating transformations.

## Member Function Documentation

virtual OGRSpatialReference* OGRCoordinateTransformation::GetSourceCS | ( |  | ) | `[pure virtual]`

| Fetch internal source coordinate system.

virtual OGRSpatialReference* OGRCoordinateTransformation::GetTargetCS | ( |  | ) | `[pure virtual]`

| Fetch internal target coordinate system.

virtual int OGRCoordinateTransformation::Transform | ( | int | nCount,
|  | double * | x,
|  | double * | y,
|  | double * | z = `NULL`
| ) | `[pure virtual]`

  | Transform points from source to destination space. This method is the same as the C function OCTTransform(). The method TransformEx() allows extended success information to be captured indicating which points failed to transform. Parameters:
  | nCount | number of points to transform.
  | x | array of nCount X vertices, modified in place.
  | y | array of nCount Y vertices, modified in place.
  | z | array of nCount Z vertices, modified in place.
Returns: TRUE on success, or FALSE if some or all points fail to transform.

virtual int OGRCoordinateTransformation::TransformEx | ( | int | nCount,
|  | double * | x,
|  | double * | y,
|  | double * | z = `NULL`,
|  | int * | pabSuccess = `NULL`
| ) | `[pure virtual]`

  | Transform points from source to destination space. This method is the same as the C function OCTTransformEx(). Parameters:
  | nCount | number of points to transform.
  | x | array of nCount X vertices, modified in place.
  | y | array of nCount Y vertices, modified in place.
  | z | array of nCount Z vertices, modified in place.
  | pabSuccess | array of per-point flags set to TRUE if that point transforms, or FALSE if it does not.
Returns: TRUE if some or all points transform successfully, or FALSE if if none transform.

The documentation for this class was generated from the following file:

- ogr_spatialref.h

Generated for GDAL by 1.4.5.